using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.NW
{
    [Description("子企业表")]
    public class T_NW_ENTERPRISE : TreeEntityBase<T_NW_ENTERPRISE>
    {
        [Description("企业名")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string NAME { get; set; }

        [Description("企业编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        [Description("备注")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string REMARK { get; set; }

        [Description("授权子企业菜单")]
        [DataFieldIngore]
        public List<string> CheckKeys { get; set; }

        [Description("启用标志")]
        [FormFieldTable]
        [FormFieldEdit]
        [EnumName("FMEnableStatusEnum")]

        public int ENABLE_STATUS { get; set; }

    }
}
